Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(152)

Issue 2880273002: Remove Range::TextQuads() and instead use ComputeTextQuads. (Closed)

Created:
7 months ago by tanvir
Modified:
7 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove Range::TextQuads() and instead use ComputeTextQuads. This patch removed the Range::TextQuads function, and uses ComputeTextQuads instead for its call sites. ComputeTextQuads was introduced to take EphemeralRange as input parameter. BUG=691198 Review-Url: https://codereview.chromium.org/2880273002 Cr-Commit-Position: refs/heads/master@{#473215} Committed: https://chromium.googlesource.com/chromium/src/+/69a72cbed48edfe7073bd697b71e007eb72bd0d9

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -9 lines) Patch
M third_party/WebKit/Source/core/dom/Range.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/Range.cpp View 1 chunk +0 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/dom/RangeTest.cpp View 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutObject.cpp View 2 chunks +2 lines, -1 line 0 comments Download
Trybot results:  linux_chromium_rel_ng   win_chromium_rel_ng   win_chromium_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-simulator-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   linux_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   linux_chromium_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   ios-device-xcode-clang   ios-simulator-xcode-clang   ios-simulator   mac_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng 

Messages

Total messages: 35 (18 generated)
Srirama
peer review is fine
7 months ago (2017-05-15 14:00:49 UTC) #3
tanvir
PTAL!!! Thanks
7 months ago (2017-05-15 14:35:41 UTC) #6
Xiaocheng
lgtm
7 months ago (2017-05-15 17:26:11 UTC) #7
yosin_UTC9
lgtm +tkent@ for OWNERS review.
7 months ago (2017-05-16 01:14:26 UTC) #9
tkent
lgtm
7 months ago (2017-05-16 01:19:24 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-16 01:20:51 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/178893) linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, ...
7 months ago (2017-05-16 01:45:59 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-17 05:08:42 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/446866)
7 months ago (2017-05-17 09:19:04 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-18 03:12:46 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430280)
7 months ago (2017-05-18 07:55:11 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-18 15:33:19 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430741)
7 months ago (2017-05-18 19:35:08 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-19 05:52:33 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449583)
7 months ago (2017-05-19 08:25:20 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880273002/1
7 months ago (2017-05-19 12:34:32 UTC) #32
commit-bot: I haz the power
7 months ago (2017-05-19 16:54:48 UTC) #35
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/69a72cbed48edfe7073bd697b71e...

Powered by Google App Engine
This is Rietveld 0eb02b776